{ pkgs, lib }:
with pkgs;

{
  name = "fs_report";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./fs_report.xml;

  testScript = ''
    file link -s fs_report ${depot.fs_report}/bin/fs_report
    file link -s fs_rom ${depot.fs_rom}/bin/fs_rom
    file link -s ram_fs ${depot.ram_fs}/bin/ram_fs
    file link -s vfs.lib.so ${depot.vfs}/lib/vfs.lib.so
    file link -s test-fs_report ${depot.test-fs_report}/bin/test-fs_report
    append modules { fs_report fs_rom ram_fs vfs.lib.so test-fs_report }
    run_genode_until {child "test-fs_report" exited with exit value 0} 15
  '';
}
