{ pkgs, lib }:
with pkgs;

rec {
  name = "solo5";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig =  lib.renderDhallInit ./solo5.dhall "{=}";

  testScript = ''
    global modules
    file link -s solo5.lib.so ${solo5}/lib/solo5-bindings-genode/solo5.lib.so
    file link -s solo5-test_hello ${solo5.tests}/bin/solo5-test_hello
    append modules { solo5.lib.so solo5-test_hello }

    run_genode_until "child .* exited with exit value 0.*\n" 30
  '';
}
